package com.explause.aopExamples;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

@Configuration
@EnableAspectJAutoProxy
public class BeanConfig {
	@Bean
	public HelloWorld hw() {
		HelloWorld hw = new HelloWorld();
		hw.setMessage("message in hw");
		return hw;
	}
	@Bean
	public HelloWorldAspect aop() {
		return new HelloWorldAspect();
	}
}